Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO::NVList_Argument Class Reference

`#include <DII_Arguments.h>`

Inheritance diagram for TAO::NVList_Argument:

[legend]
Collaboration diagram for TAO::NVList_Argument:

[legend]
List of all members.

## Public Methods
| NVList_Argument (CORBA::NVList_ptr, bool lazy_eval)
virtual CORBA::Boolean | marshal (TAO_OutputCDR &)
virtual CORBA::Boolean | demarshal (TAO_InputCDR &)
void | interceptor_paramlist (Dynamic::ParameterList *)
## Private Attributes
CORBA::NVList_ptr | x_
bool | lazy_evaluation_

## Constructor & Destructor Documentation

ACE_INLINE TAO::NVList_Argument::NVList_Argument | ( | CORBA::NVList_ptr | ,
|  | bool | lazy_eval
| ) |

## Member Function Documentation

CORBA::Boolean TAO::NVList_Argument::demarshal | ( | TAO_InputCDR & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

void TAO::NVList_Argument::interceptor_paramlist | ( | Dynamic::ParameterList * |  | ) |

CORBA::Boolean TAO::NVList_Argument::marshal | ( | TAO_OutputCDR & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

## Member Data Documentation

bool TAO::NVList_Argument::lazy_evaluation_`[private]`

CORBA::NVList_ptr TAO::NVList_Argument::x_`[private]`

The documentation for this class was generated from the following files:

- DII_Arguments.h
- DII_Arguments.cpp
- DII_Arguments.inl